Package junit.framework

# Interface TestListener

All Known Implementing Classes:
  `BaseTestRunner`, `ResultPrinter`, `TestRunner`, `TestRunner`, `TestRunner`

public interface TestListener
A Listener for test progress

## Method Summary

Modifier and Type
Method
Description
`void`
`addError(Test test, Throwable t)`
An error occurred.
`void`
`addFailure(Test test, AssertionFailedError t)`
A failure occurred.
`void`
`endTest(Test test)`
A test ended.
`void`
`startTest(Test test)`
A test started.

## Method Details

### addError

void addError(Test test, Throwable t)
An error occurred.

### addFailure

void addFailure(Test test, AssertionFailedError t)
A failure occurred.

### endTest

void endTest(Test test)
A test ended.

### startTest

void startTest(Test test)
A test started.